Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Interface org.w3c.dom.Document

Implementing Classes:
  TXDocument

public interface Document
extends DocumentFragment

Method Summary
Attribute | createAttribute(java.lang.String name, Node value)
AttributeList | createAttributeList()
Comment | createComment(java.lang.String data)
DocumentContext | createDocumentContext()
Element | createElement(java.lang.String tagName, AttributeList attributes)
PI | createPI(java.lang.String name, java.lang.String data)
Text | createTextNode(java.lang.String data)
TreeIterator | createTreeIterator(Node node)
DocumentContext | getContextInfo()
Element | getDocumentElement()
Node | getDocumentType()
NodeIterator | getElementsByTagName(java.lang.String tagname)
void | setContextInfo(DocumentContext arg)
void | setDocumentElement(Element arg)
void | setDocumentType(Node arg)

Method Detail

### getDocumentType

    public Node getDocumentType()

### setDocumentType

    public void setDocumentType(Node arg)

### getDocumentElement

    public Element getDocumentElement()

### setDocumentElement

    public void setDocumentElement(Element arg)

### getContextInfo

    public DocumentContext getContextInfo()

### setContextInfo

    public void setContextInfo(DocumentContext arg)

### createDocumentContext

    public DocumentContext createDocumentContext()

### createElement

    public Element createElement(java.lang.String tagName,
                                 AttributeList attributes)

### createTextNode

    public Text createTextNode(java.lang.String data)

### createComment

    public Comment createComment(java.lang.String data)

### createPI

    public PI createPI(java.lang.String name,
                       java.lang.String data)

### createAttribute

    public Attribute createAttribute(java.lang.String name,
                                     Node value)

### createAttributeList

    public AttributeList createAttributeList()

### createTreeIterator

    public TreeIterator createTreeIterator(Node node)

### getElementsByTagName

    public NodeIterator getElementsByTagName(java.lang.String tagname)

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |